RDKit: RDKit::MolStandardize::TautomerScoringFunctions Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions | Variables
RDKit::MolStandardize::TautomerScoringFunctions Namespace Reference

## Classes
struct | SubstructTerm

## Functions
RDKIT_MOLSTANDARDIZE_EXPORT const std::vector< SubstructTerm > & | getDefaultTautomerScoreSubstructs ()
RDKIT_MOLSTANDARDIZE_EXPORT int | scoreRings (const ROMol &mol)
RDKIT_MOLSTANDARDIZE_EXPORT int | scoreSubstructs (const ROMol &mol, const std::vector< SubstructTerm > &terms=getDefaultTautomerScoreSubstructs())
| scoreSubstructs scores the molecule based on the substructure definitions
RDKIT_MOLSTANDARDIZE_EXPORT int | scoreHeteroHs (const ROMol &mol)
int | scoreTautomer (const ROMol &mol)

## Variables
const std::string | tautomerScoringVersion = "1.0.0"

## Function Documentation

## ◆ getDefaultTautomerScoreSubstructs()

RDKIT_MOLSTANDARDIZE_EXPORT const std::vector< SubstructTerm > & RDKit::MolStandardize::TautomerScoringFunctions::getDefaultTautomerScoreSubstructs | ( |  | ) |

getDefaultTautomerSubstructs returns the SubstructTerms used in scoring tautomer forms. See SubstructTerm for details.

## ◆ scoreHeteroHs()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreHeteroHs | ( | const ROMol & | mol | ) |

scoreHeteroHs score the molecules hydrogens This gives a negative penalty to hydrogens attached to S,P, Se and Te

Parameters

  mol | Molecule to score

Returns
  integer score for the molecule hetero hydrogens

References RDKIT_MOLSTANDARDIZE_EXPORT.

Referenced by scoreTautomer().

## ◆ scoreRings()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreRings | ( | const ROMol & | mol | ) |

Score the rings of the current tautomer Aromatic rings score 100, all carbon aromatic rings score 250

Parameters

  mol | Molcule to score

Returns
  integer score for the molecule's rings

References RDKIT_MOLSTANDARDIZE_EXPORT.

Referenced by scoreTautomer().

## ◆ scoreSubstructs()

RDKIT_MOLSTANDARDIZE_EXPORT int RDKit::MolStandardize::TautomerScoringFunctions::scoreSubstructs | ( | const ROMol & | mol,
|  | const std::vector< SubstructTerm > & | terms = getDefaultTautomerScoreSubstructs() )

scoreSubstructs scores the molecule based on the substructure definitions

Parameters

  mol | Molecule to score
  terms | Substruct Terms used for scoring this particular tautomer form

Returns
  integer score for the molecule's substructure terms

References RDKIT_MOLSTANDARDIZE_EXPORT.

Referenced by scoreTautomer().

## ◆ scoreTautomer()

int RDKit::MolStandardize::TautomerScoringFunctions::scoreTautomer | ( | const ROMol & | mol | ) |
| inline

Definition at line 89 of file MolStandardize/Tautomer.h.

References scoreHeteroHs(), scoreRings(), and scoreSubstructs().

Referenced by RDKit::MolStandardize::TautomerEnumerator::canonicalize(), RDKit::MolStandardize::TautomerEnumerator::canonicalizeInPlace(), RDKit::MolStandardize::TautomerEnumerator::pickCanonical(), and RDKit::MolStandardize::TautomerEnumerator::pickCanonical().

## Variable Documentation

## ◆ tautomerScoringVersion

const std::string RDKit::MolStandardize::TautomerScoringFunctions::tautomerScoringVersion = "1.0.0"

Definition at line 36 of file MolStandardize/Tautomer.h.